{
  "firestore": {
    "rules": "firebase/firestore.rules"
  },
  "storage": {
    "rules": "firebase/storage.rules"
  },
  "hosting": [
    {
      "target": "launchpad",
      "public": "internal/launchpad",
      "ignore": [
        "firebase.json",
        "iap-users.txt",
        "**/.*",
        "**/node_modules/**"
      ]
    },
    {
      "target": "app-dev",
      "public": "apps/web-dashboard/dist",
      "ignore": [
        "firebase.json",
        "**/.*",
        "**/node_modules/**"
      ],
      "rewrites": [
        {
          "source": "**",
          "destination": "/index.html"
        }
      ]
    },
    {
      "target": "app-staging",
      "public": "apps/web-dashboard/dist",
      "ignore": [
        "firebase.json",
        "**/.*",
        "**/node_modules/**"
      ],
      "rewrites": [
        {
          "source": "**",
          "destination": "/index.html"
        }
      ]
    },
    {
      "target": "api-harness-dev",
      "public": "internal/api-harness/dist",
      "ignore": [
        "firebase.json",
        "**/.*",
        "**/node_modules/**"
      ],
      "rewrites": [
        {
          "source": "**",
          "destination": "/index.html"
        }
      ]
    },
    {
      "target": "api-harness-staging",
      "public": "internal/api-harness/dist",
      "ignore": [
        "firebase.json",
        "**/.*",
        "**/node_modules/**"
      ],
      "rewrites": [
        {
          "source": "**",
          "destination": "/index.html"
        }
      ]
    }
  ],
  "emulators": {
    "dataconnect": {
      "dataDir": "backend/dataconnect/.dataconnect/pgliteData"
    }
  },
  "dataconnect": {
    "source": "backend/dataconnect"
  }
}
